1. Dns
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
    • Order pre-warmedup mailboxes
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Dns

Get dns records for a domain

GET
/dns
Retrieves DNS records for a specified domain under a user's account.

Query Parameters#

NameTypeRequiredDescription
userIdstringYesUnique identifier for the user
domainstringYesDomain name to retrieve DNS records for

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://customers.coldmailreseller.com/api/v1/integration/dns?userId=4CZNXJNXEEMECTH5Q65AXCB8QE78&domain=example.com' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Body

Example
{
    "status": 200,
    "message": "DNS records fetched successfully",
    "data": {
        "records": [
            {
                "ttl": "3600",
                "recordId": "f250add59b66dd29dcfb5fc88e4373e5",
                "recordType": "A",
                "value": "52.18.140.20",
                "host": "exampledomain.net"
            },
            {
                "ttl": "3600",
                "priority": "1",
                "recordId": "31965efe0c09b3bc5ff9a152d3b9083f",
                "recordType": "MX",
                "value": "mail.example.net.",
                "host": "exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "4d6bbf91cdd5ed3994a808a119ec22df",
                "recordType": "TXT",
                "value": "v=spf1 include:_spf.example.net -all",
                "host": "exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "4f51088c5a311a4d1b242c58bf93976b",
                "recordType": "TXT",
                "value": "v=DMARC1; p=reject; rua=mailto:dmarc@exampledomain.net; ruf=mailto:dmarc@exampledomain.net; fo=1; pct=100; rf=afrf; ri=86400; sp=reject; aspf=s; adkim=s",
                "host": "_dmarc.exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "6253a4ef2af4bfb9ee1978ef2bd8cce8",
                "recordType": "TXT",
                "value": "v=DKIM1; k=rsa; p=MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEA1pFkJ8yH0c7k3YqLeQInteoFb3Lvf8vJqkI4dC0Jd1Rv7La0mXh1qgYh3+Oc7pXKq6i7x9z1VB2WlDa5p9KJQK8uF3TIQInQfAqVW9+1hJ4LkT4Gd2ufx6p+qLmV94eGBg1zZQ0Kw02NDe6mHn8K1njR3XzP9bWz8T1NTfwIDAQAB",
                "host": "mailkey._domainkey.exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "d53d0464987feb979d0ae3183ea26ac2",
                "recordType": "CNAME",
                "value": "trk.mailservice.io.",
                "host": "tracking.exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "d0badd16148ce188ad8d2c8d2764e308",
                "recordType": "CNAME",
                "value": "redirect.adservicecloud.net.",
                "host": "ads.exampledomain.net"
            },
            {
                "ttl": "3600",
                "recordId": "aebe6a30bbecb7ae509a0742107cc949",
                "recordType": "A",
                "value": "52.18.140.20",
                "host": "www.exampledomain.net"
            }
        ],
        "disabledRecords": [
            {
                "ttl": "21600",
                "recordId": "4d0be11b6c244842ee0611c0db0ce9c3",
                "recordType": "NS",
                "value": "ns1.newdnsprovider.net.",
                "host": "exampledomain.net"
            },
            {
                "ttl": "21600",
                "recordId": "cb036f9ea5d14f861ce0b6834c18318d",
                "recordType": "NS",
                "value": "ns2.newdnsprovider.net.",
                "host": "exampledomain.net"
            },
            {
                "ttl": "21600",
                "recordId": "952a5a2ebe29693f8e83d73e7073a470",
                "recordType": "NS",
                "value": "ns3.newdnsprovider.net.",
                "host": "exampledomain.net"
            },
            {
                "ttl": "21600",
                "recordId": "1ae53307b9e7e890e08c1fb9ca116f51",
                "recordType": "NS",
                "value": "ns4.newdnsprovider.net.",
                "host": "exampledomain.net"
            },
            {
                "ttl": "21600",
                "recordId": "40ec9deee1a0c477f55152bf7f947b47",
                "recordType": "SOA",
                "value": "ns1.newdnsprovider.net. admin.newdnsprovider.net. 2025111902 21600 3600 259200 300",
                "host": "exampledomain.net"
            }
        ]
    }
}
🟠400Bad request
Modified at 2025-11-18 20:11:49
Previous
Remove domains
Next
Adds dns record
Built with